PDA

View Full Version : FC4 Broke my PHP installation



gsoft
24th June 2005, 10:46 AM
It worked perfectly in FC3 and when I first logged in I got an cannot LoadModule php4_module error, when it worked perfectly before. I also have a PHP 5 installation for the same Apache Server so I thought id give that ago too, same error (except php5_module). Anyway Im wondering if anyone else has had the same issues, I was thinking about rebuilding but the config.nice doesnt work anymore.

Now I know usnig gcc4 shouldnt be the problem the with LoadModule error but I have my suspicions it is when I try to recompile.

(the exact error)


Cannot load /usr/local/httpd/libexec/libphp4.so into server: /usr/local/httpd/libexec/libphp4.so: cannot open shared object file: No such file or directory



Also this was a source install for Apache, PHP and MySQL

Jman
25th June 2005, 05:27 AM
Did you install the FC4 php rpm? That would confuse things with your source install. Perhaps you should attempt a rebuild.

I personally would install the php rpm.